var CACHE_NAME = "Enty_Client";
var CACHED_URLS = [
  "Enty_Client.html",
  "Enty_Client.js",
  "Enty_Client.json",
  "IconResHigh.png",
  "IconResLow.png",
  "IconResMid.png",
  "IE_D1.html",
  "Main.html",
  "ServiceWorker.js"
  ];

self.addEventListener('install', function(event) {
                event.waitUntil(
                                caches.open(CACHE_NAME).then(function(cache) {
                                return cache.addAll(CACHED_URLS);
                })
                                );
});


self.addEventListener('fetch',function(event) {
   event.respondWith(
     fetch(event.request).catch(function() {
                   return caches.match(event.request).then(function(response) {
       if (response) {
                                   return response;
       } else if (event.request.headers.get("accept").includes("text/html")) {
                                   return caches.match("Enty_Client.html");
                   }
                   });
   })
                   );
});