unit Main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, FireDAC.Stan.Intf, FireDAC.Stan.Option,
  FireDAC.Stan.Error, FireDAC.UI.Intf, FireDAC.Phys.Intf, FireDAC.Stan.Def,
  FireDAC.Stan.Pool, FireDAC.Stan.Async, FireDAC.Phys, FireDAC.Phys.MSSQL,
  FireDAC.Phys.MSSQLDef, FireDAC.VCLUI.Wait, XData.Server.Module,
  Sparkle.HttpServer.Module, Sparkle.HttpServer.Context, Aurelius.Sql.MSSQL,
  Aurelius.Schema.MSSQL, Aurelius.Drivers.FireDac, Aurelius.Drivers.Interfaces,
  XData.Comp.ConnectionPool, Aurelius.Comp.Connection, Sparkle.Comp.Server,
  Sparkle.Comp.CorsMiddleware, XData.Comp.Server,
  Sparkle.Comp.HttpSysDispatcher, FireDAC.Comp.UI, FireDAC.Phys.ODBCBase,
  Data.DB, FireDAC.Comp.Client, Vcl.StdCtrls, FireDAC.Phys.SQLite,
  FireDAC.Phys.SQLiteDef, FireDAC.Stan.ExprFuncs, Aurelius.Sql.Sqlite,
  Aurelius.Schema.Sqlite;

type
  TfrmMain = class(TForm)
    dbData: TFDConnection;
    gwcData: TFDGUIxWaitCursor;
    dispWeb: TSparkleHttpSysDispatcher;
    XDataServer: TXDataServer;
    XDataServerCORS: TSparkleCorsMiddleware;
    AureliusConnection: TAureliusConnection;
    XDataConnectionPool: TXDataConnectionPool;
    Label1: TLabel;
    FDPhysSQLiteDriverLink1: TFDPhysSQLiteDriverLink;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  dbData.Params.Values['Database']:=ExtractFilePath(Application.ExeName)+'Dati.db3';

  dbData.Open();
  dispWeb.Active:=True;
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  dispWeb.Active:=False;
end;

end.
